For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/domain/post-api-domain-v1create.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Create Domain

POST
/api/domain/v1/create
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { domain, domainError } = await reloop.domain.create({
6 domain: "send.example.com",
7 click_tracking: true,
8 open_tracking: true,
9 tls: "opportunistic",
10 sending_email: true,
11 receiving_email: false,
12});
13
14if (domainError) throw domainError;
15
16console.log(domain.id, domain.domain);
1{
2 "object": "domain",
3 "id": "con_123456789",
4 "domain": "send.example.com",
5 "status": "pending",
6 "userVerifiedDomain": true,
7 "systemVerified": true,
8 "customReturnPath": "inbound",
9 "trackingSubdomain": "tracking",
10 "isClickTrackingEnabled": true,
11 "isOpenTrackingEnabled": true,
12 "tls": "opportunistic",
13 "isTrackingDomain": true,
14 "isSendingEmailEnabled": true,
15 "isReceivingEmailEnabled": true,
16 "verificationFailedReason": "example_verificationFailedReason",
17 "dnsRecords": [
18 {
19 "id": "dns_123456789",
20 "recordType": "MX",
21 "recordTypeName": "MX",
22 "domain": "example.com",
23 "name": "@",
24 "value": "feedback-smtp.us-east-1.amazonses.com",
25 "ttl": "Auto",
26 "priority": 10,
27 "status": "active",
28 "createdAt": "2026-03-30T10:00:00.000Z",
29 "updatedAt": "2026-03-30T10:00:00.000Z"
30 }
31 ],
32 "lastVerifiedAt": "2026-03-23T10:00:00.000Z",
33 "createdAt": "2026-03-23T10:00:00.000Z",
34 "updatedAt": "2026-03-23T10:00:00.000Z",
35 "event": "evt_123456789"
36}

Body Parameters

domainstringRequired

Domain name (e.g., send.reloop.com)

  • Minimum length: 4
  • Maximum length: 255
custom_return_pathstringdefault: "inbound"

Custom return-path subdomain (e.g., inbound)

  • Minimum length: 1
  • Maximum length: 255
trackingstringdefault: "tracking"

Custom tracking subdomain (e.g., tracking)

  • Minimum length: 1
  • Maximum length: 255
click_trackingbooleandefault: false

Whether click tracking is enabled

open_trackingbooleandefault: false

Whether open tracking is enabled

tls"opportunistic" | "enforced"

Possible values: opportunistic | enforced

sending_emailbooleandefault: true

Whether sending email is enabled

receiving_emailbooleandefault: true

Whether receiving email is enabled

Was this page helpful?